Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |  

This web mail archive is frozen.

This page is part of a frozen web archive of this mailing list.

You can still navigate around this archive, but know that no new mails have been added to it since July of 2016.

Click here to be taken to the new web archives of this list; it includes all the mails that are in this frozen archive plus all new mails that have been sent to the list since it was migrated to the new archives.

Subject: Re: [OMPI users] Application Context and OpenMPI 1.2.4
From: Ralph H Castain (rhc_at_[hidden])
Date: 2008-06-17 10:47:14


Hi Pat

A friendly elf forwarded this to me, so please be sure to explicitly include
me on any reply.

Was that the only error message you received? I would have expected a trail
of "error_log" outputs that would help me understand where this came from.
If not, I can give you some debug flags to set once I know the environment.

Usually, that error indicates a mismatch between the backend daemon and
mpirun - one is from 1.2.4, for example, while another was from some other
build - but it is hard to tell without seeing some more error output.

I assume this is using ssh as a launch environment?

Thanks
Ralph

On 6/16/08 7:37 AM, "pat.o'bryant_at_[hidden]"
<pat.o'bryant_at_[hidden]> wrote:

>
> I am having a problem using an "application context" with OpenMPI
> 1.2.4.
> My invocation of "mpirun" is shown below along with the "--app" file.
>
> Invocation:
> export LD_LIBRARY_PATH="/usr/local/openmpi-1.2.4/gnu/lib"
> /usr/local/openmpi-1.2.4/gnu/bin/mpirun --app /my_id/appschema
>
> Contents of "--app" file:
> -np 1 /my_id/Gnu/hello_mpi
>
> Ldd of hello_mpi:
> ldd hello_mpi
> libm.so.6 => /lib64/tls/libm.so.6 (0x0000002a9566c000)
> libmpi.so.0 => /usr/local/openmpi-1.2.4/gnu/lib/libmpi.so.0
> (0x0000002a957f3000)
> libopen-rte.so.0 => /usr/local/openmpi-1.2.4
> /gnu/lib/libopen-rte.so.0 (0x0000002a9598e000)
> libopen-pal.so.0 => /usr/local/openmpi-1.2.4
> /gnu/lib/libopen-pal.so.0 (0x0000002a95ae9000)
> libdl.so.2 => /lib64/libdl.so.2 (0x0000002a95c47000)
> libnsl.so.1 => /lib64/libnsl.so.1 (0x0000002a95d4b000)
> libutil.so.1 => /lib64/libutil.so.1 (0x0000002a95e62000)
> libpthread.so.0 => /lib64/tls/libpthread.so.0
> (0x0000002a95f65000)
> libc.so.6 => /lib64/tls/libc.so.6 (0x0000002a9607b000)
> /lib64/ld-linux-x86-64.so.2 (0x0000002a95556000)
>
> Error message:
> ORTE_ERROR_LOG: Data unpack had inadequate space in file
> dss/dss_unpack.c at line 90
>
> Any help would be greatly appreciated.
>
> Thanks,
> Pat O'Bryant
>
>
>
> J.W. (Pat) O'Bryant,Jr.
> Business Line Infrastructure
> Technical Systems, HPC
> Office: 713-431-7022
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users